import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;

public class palin_sm extends Thread {
	boolean isPalindrom(String s) {
		for (int i = 0; i < s.length() / 2; i++) {
			if (s.charAt(i) != s.charAt(s.length() - i - 1)) {
				return false;
			}
		}
		return true;
	}
	boolean isCyclePalindrom(String s){
		for (int i = 0; i < s.length(); i++) {
			String a = s.substring(i);
			String b = s.substring(0,i);
			if (isPalindrom(a+b)) {
				return true;
			}
		}
		return false;
	}
	void solve() throws IOException {
		String s = in.readLine();
		myAssert(in.read() == -1);
		myAssert(1 <= s.length() && s.length() <= 100);
		for (int i = 0; i < s.length(); i++) {
			myAssert('a' <= s.charAt(i) && s.charAt(i) <= 'z');
		}
		if (isCyclePalindrom(s)){
			out.println("yes");
		}else{
			out.println("no");
		}
	}	

	void myAssert(boolean b) {
		if (!b)
			throw new AssertionError();
	}

	BufferedReader in;
	PrintWriter out;

	public void run() {
		try {
			in = new BufferedReader(new FileReader("palin.in"));
			out = new PrintWriter(new File("palin.out"));
			solve();
			out.flush();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	public static void main(String[] args) {
		new palin_sm().start();
	}

}
